Support » Plugin: WP Downgrade | Specific Core Version » Worked perfectly!!

  • I had a client site which had older versions of Ultimate Membership Pro and Thrive Architect along with newer versions of other important plugins. I like to be conservative so the site was running on 4.8.3.
    Anywho, I needed to upgrade to at least 4.9 in order to use the latest Contact Form 7 and I did NOT want to move to 5.x yet until I replace the 2 older plugins with something different. Hence my dilemma.

    Many thanks to the author of WP Downgrade for providing me with a simple, functional RELIABLE solution. I installed it and upgraded the site to 4.9.8 without any problems whatsover.

  • You must be logged in to reply to this review.